[Deprecated]: v3.0
get
/ec-codelist-svc/rest/v3.0/codelist/{name}
Get the values for a single codelist using its name.
Request
Path Parameters
-
name(required): string
Name of the codelist.Example:
AESEV
Query Parameters
-
dataType: string
Data Type. Allowed values are current, history. Default is current.Example:
current -
mode(required): string
Mode of the study. Allowed values are active, test and trainingExample:
DESIGN -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Nested Schema : CodeValueDto
Type:
Show Source
object-
codeId: string
(uuid)
-
codeLabel: string
-
codeValue: string
-
comment: string
-
id: string
(uuid)
-
locale: string
-
objectVersionNumber: number
-
operationType: string
-
optLock: string
(date-time)
-
reason: string
-
softwareVersionNumber: number
-
userId: string
(uuid)
-
versionEnd: string
(date-time)
-
versionStart: string
(date-time)
Examples
400 Response
'Internal server error', 'Invalid version number','Missing required field (codeName)'
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.